Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.statistics
Class DefaultBoxAndWhiskerCategoryDataset

    java.lang.Object
      org.jfree.data.general.AbstractDataset
          org.jfree.data.statistics.DefaultBoxAndWhiskerCategoryDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, CategoryDataset, Dataset, KeyedValues2D, RangeInfo, BoxAndWhiskerCategoryDataset, Values2D, org.jfree.util.PublicCloneable

    public class DefaultBoxAndWhiskerCategoryDataset

extends AbstractDataset
implements BoxAndWhiskerCategoryDataset, RangeInfo, org.jfree.util.PublicCloneable

A convenience class that provides a default implementation of the `BoxAndWhiskerCategoryDataset` interface.

See Also:
  Serialized Form

Field Summary
`protected KeyedObjects2D` | `data` Storage for the data.

Constructor Summary
`DefaultBoxAndWhiskerCategoryDataset()` Creates a new dataset.

Method Summary
`void` | `add(BoxAndWhiskerItem item, java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Adds a list of values relating to one Box and Whisker entity to the table.
`void` | `add(java.util.List list, java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Adds a list of values relating to one box-and-whisker entity to the table.
`void` | `clear()` Clears all data from the dataset and sends a `DatasetChangeEvent` to all registered listeners.
`java.lang.Object` | `clone()` Returns a clone of this dataset.
`boolean` | `equals(java.lang.Object obj)` Tests this dataset for equality with an arbitrary object.
`int` | `getColumnCount()` Returns the number of columns in the table.
`int` | `getColumnIndex(java.lang.Comparable key)` Returns the column index for a given key.
`java.lang.Comparable` | `getColumnKey(int column)` Returns a column key.
`java.util.List` | `getColumnKeys()` Returns the column keys.
`BoxAndWhiskerItem` | `getItem(int row, int column)` Return an item from within the dataset.
`java.lang.Number` | `getMaxOutlier(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the maximum outlier (non farout) value for an item.
`java.lang.Number` | `getMaxOutlier(int row, int column)` Returns the maximum outlier (non farout) value for an item.
`java.lang.Number` | `getMaxRegularValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the maximum regular (non outlier) value for an item.
`java.lang.Number` | `getMaxRegularValue(int row, int column)` Returns the maximum regular (non outlier) value for an item.
`java.lang.Number` | `getMeanValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the mean value for an item.
`java.lang.Number` | `getMeanValue(int row, int column)` Returns the mean value for an item.
`java.lang.Number` | `getMedianValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the median value for an item.
`java.lang.Number` | `getMedianValue(int row, int column)` Returns the median value for an item.
`java.lang.Number` | `getMinOutlier(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the minimum outlier (non farout) value for an item.
`java.lang.Number` | `getMinOutlier(int row, int column)` Returns the minimum outlier (non farout) value for an item.
`java.lang.Number` | `getMinRegularValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the minimum regular (non outlier) value for an item.
`java.lang.Number` | `getMinRegularValue(int row, int column)` Returns the minimum regular (non outlier) value for an item.
`java.util.List` | `getOutliers(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns a list of outlier values for an item.
`java.util.List` | `getOutliers(int row, int column)` Returns a list of outlier values for an item.
`java.lang.Number` | `getQ1Value(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the first quartile value.
`java.lang.Number` | `getQ1Value(int row, int column)` Returns the first quartile value.
`java.lang.Number` | `getQ3Value(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the third quartile value.
`java.lang.Number` | `getQ3Value(int row, int column)` Returns the third quartile value.
`Range` | `getRangeBounds(boolean includeInterval)` Returns the range of the values in this dataset's range.
`double` | `getRangeLowerBound(boolean includeInterval)` Returns the minimum y-value in the dataset.
`double` | `getRangeUpperBound(boolean includeInterval)` Returns the maximum y-value in the dataset.
`int` | `getRowCount()` Returns the number of rows in the table.
`int` | `getRowIndex(java.lang.Comparable key)` Returns the row index for a given key.
`java.lang.Comparable` | `getRowKey(int row)` Returns a row key.
`java.util.List` | `getRowKeys()` Returns the row keys.
`java.lang.Number` | `getValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the value for an item.
`java.lang.Number` | `getValue(int row, int column)` Returns the value for an item.
`void` | `remove(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Removes an item from the dataset and sends a `DatasetChangeEvent` to all registered listeners.
`void` | `removeColumn(java.lang.Comparable columnKey)` Removes a column from the dataset and sends a `DatasetChangeEvent` to all registered listeners.
`void` | `removeColumn(int columnIndex)` Removes a column from the dataset and sends a `DatasetChangeEvent` to all registered listeners.
`void` | `removeRow(java.lang.Comparable rowKey)` Removes a row from the dataset and sends a `DatasetChangeEvent` to all registered listeners.
`void` | `removeRow(int rowIndex)` Removes a row from the dataset and sends a `DatasetChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.data.general.AbstractDataset
`addChangeListener, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Field Detail

### data

    protected KeyedObjects2D data

  Storage for the data.

Constructor Detail

### DefaultBoxAndWhiskerCategoryDataset

    public DefaultBoxAndWhiskerCategoryDataset()

  Creates a new dataset.

Method Detail

### add

    public void add(java.util.List list,
                    java.lang.Comparable rowKey,
                    java.lang.Comparable columnKey)

  Adds a list of values relating to one box-and-whisker entity to the table. The various median values are calculated.

  Parameters:
    `list` - a collection of values from which the various medians will be calculated.
    `rowKey` - the row key (`null` not permitted).
    `columnKey` - the column key (`null` not permitted).
  See Also:
    `add(BoxAndWhiskerItem, Comparable, Comparable)`

### add

    public void add(BoxAndWhiskerItem item,
                    java.lang.Comparable rowKey,
                    java.lang.Comparable columnKey)

  Adds a list of values relating to one Box and Whisker entity to the table. The various median values are calculated.

  Parameters:
    `item` - a box and whisker item (`null` not permitted).
    `rowKey` - the row key (`null` not permitted).
    `columnKey` - the column key (`null` not permitted).
  See Also:
    `add(List, Comparable, Comparable)`

### remove

    public void remove(java.lang.Comparable rowKey,
                       java.lang.Comparable columnKey)

  Removes an item from the dataset and sends a `DatasetChangeEvent` to all registered listeners.

  Parameters:
    `rowKey` - the row key (`null` not permitted).
    `columnKey` - the column key (`null` not permitted).
  Since:
    1.0.7
  See Also:
    `add(BoxAndWhiskerItem, Comparable, Comparable)`

### removeRow

    public void removeRow(int rowIndex)

  Removes a row from the dataset and sends a `DatasetChangeEvent` to all registered listeners.

  Parameters:
    `rowIndex` - the row index.
  Since:
    1.0.7
  See Also:
    `removeColumn(int)`

### removeRow

    public void removeRow(java.lang.Comparable rowKey)

  Removes a row from the dataset and sends a `DatasetChangeEvent` to all registered listeners.

  Parameters:
    `rowKey` - the row key.
  Since:
    1.0.7
  See Also:
    `removeColumn(Comparable)`

### removeColumn

    public void removeColumn(int columnIndex)

  Removes a column from the dataset and sends a `DatasetChangeEvent` to all registered listeners.

  Parameters:
    `columnIndex` - the column index.
  Since:
    1.0.7
  See Also:
    `removeRow(int)`

### removeColumn

    public void removeColumn(java.lang.Comparable columnKey)

  Removes a column from the dataset and sends a `DatasetChangeEvent` to all registered listeners.

  Parameters:
    `columnKey` - the column key.
  Since:
    1.0.7
  See Also:
    `removeRow(Comparable)`

### clear

    public void clear()

  Clears all data from the dataset and sends a `DatasetChangeEvent` to all registered listeners.

  Since:
    1.0.7

### getItem

    public BoxAndWhiskerItem getItem(int row,
                                     int column)

  Return an item from within the dataset.

  Parameters:
    `row` - the row index.
    `column` - the column index.
  Returns:
    The item.

### getValue

    public java.lang.Number getValue(int row,
                                     int column)

  Returns the value for an item.

  Specified by:
    `getValue` in interface `Values2D`
  Parameters:
    `row` - the row index.
    `column` - the column index.
  Returns:
    The value.
  See Also:
    `getMedianValue(int, int)`, `getValue(Comparable, Comparable)`

### getValue

    public java.lang.Number getValue(java.lang.Comparable rowKey,
                                     java.lang.Comparable columnKey)

  Returns the value for an item.

  Specified by:
    `getValue` in interface `KeyedValues2D`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the columnKey.
  Returns:
    The value.
  See Also:
    `getMedianValue(Comparable, Comparable)`, `getValue(int, int)`

### getMeanValue

    public java.lang.Number getMeanValue(int row,
                                         int column)

  Returns the mean value for an item.

  Specified by:
    `getMeanValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The mean value.
  See Also:
    `getItem(int, int)`

### getMeanValue

    public java.lang.Number getMeanValue(java.lang.Comparable rowKey,
                                         java.lang.Comparable columnKey)

  Returns the mean value for an item.

  Specified by:
    `getMeanValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The mean value.
  See Also:
    `getItem(int, int)`

### getMedianValue

    public java.lang.Number getMedianValue(int row,
                                           int column)

  Returns the median value for an item.

  Specified by:
    `getMedianValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The median value.
  See Also:
    `getItem(int, int)`

### getMedianValue

    public java.lang.Number getMedianValue(java.lang.Comparable rowKey,
                                           java.lang.Comparable columnKey)

  Returns the median value for an item.

  Specified by:
    `getMedianValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the columnKey.
  Returns:
    The median value.
  See Also:
    `getItem(int, int)`

### getQ1Value

    public java.lang.Number getQ1Value(int row,
                                       int column)

  Returns the first quartile value.

  Specified by:
    `getQ1Value` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The first quartile value.
  See Also:
    `getItem(int, int)`

### getQ1Value

    public java.lang.Number getQ1Value(java.lang.Comparable rowKey,
                                       java.lang.Comparable columnKey)

  Returns the first quartile value.

  Specified by:
    `getQ1Value` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The first quartile value.
  See Also:
    `getItem(int, int)`

### getQ3Value

    public java.lang.Number getQ3Value(int row,
                                       int column)

  Returns the third quartile value.

  Specified by:
    `getQ3Value` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The third quartile value.
  See Also:
    `getItem(int, int)`

### getQ3Value

    public java.lang.Number getQ3Value(java.lang.Comparable rowKey,
                                       java.lang.Comparable columnKey)

  Returns the third quartile value.

  Specified by:
    `getQ3Value` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The third quartile value.
  See Also:
    `getItem(int, int)`

### getColumnIndex

    public int getColumnIndex(java.lang.Comparable key)

  Returns the column index for a given key.

  Specified by:
    `getColumnIndex` in interface `KeyedValues2D`
  Parameters:
    `key` - the column key (`null` not permitted).
  Returns:
    The column index.
  See Also:
    `getColumnKey(int)`

### getColumnKey

    public java.lang.Comparable getColumnKey(int column)

  Returns a column key.

  Specified by:
    `getColumnKey` in interface `KeyedValues2D`
  Parameters:
    `column` - the column index (zero-based).
  Returns:
    The column key.
  See Also:
    `getColumnIndex(Comparable)`

### getColumnKeys

    public java.util.List getColumnKeys()

  Returns the column keys.

  Specified by:
    `getColumnKeys` in interface `KeyedValues2D`
  Returns:
    The keys.
  See Also:
    `getRowKeys()`

### getRowIndex

    public int getRowIndex(java.lang.Comparable key)

  Returns the row index for a given key.

  Specified by:
    `getRowIndex` in interface `KeyedValues2D`
  Parameters:
    `key` - the row key (`null` not permitted).
  Returns:
    The row index.
  See Also:
    `getRowKey(int)`

### getRowKey

    public java.lang.Comparable getRowKey(int row)

  Returns a row key.

  Specified by:
    `getRowKey` in interface `KeyedValues2D`
  Parameters:
    `row` - the row index (zero-based).
  Returns:
    The row key.
  See Also:
    `getRowIndex(Comparable)`

### getRowKeys

    public java.util.List getRowKeys()

  Returns the row keys.

  Specified by:
    `getRowKeys` in interface `KeyedValues2D`
  Returns:
    The keys.
  See Also:
    `getColumnKeys()`

### getRowCount

    public int getRowCount()

  Returns the number of rows in the table.

  Specified by:
    `getRowCount` in interface `Values2D`
  Returns:
    The row count.
  See Also:
    `getColumnCount()`

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the table.

  Specified by:
    `getColumnCount` in interface `Values2D`
  Returns:
    The column count.
  See Also:
    `getRowCount()`

### getRangeLowerBound

    public double getRangeLowerBound(boolean includeInterval)

  Returns the minimum y-value in the dataset.

  Specified by:
    `getRangeLowerBound` in interface `RangeInfo`
  Parameters:
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The minimum value.
  See Also:
    `getRangeUpperBound(boolean)`

### getRangeUpperBound

    public double getRangeUpperBound(boolean includeInterval)

  Returns the maximum y-value in the dataset.

  Specified by:
    `getRangeUpperBound` in interface `RangeInfo`
  Parameters:
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The maximum value.
  See Also:
    `getRangeLowerBound(boolean)`

### getRangeBounds

    public Range getRangeBounds(boolean includeInterval)

  Returns the range of the values in this dataset's range.

  Specified by:
    `getRangeBounds` in interface `RangeInfo`
  Parameters:
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The range.

### getMinRegularValue

    public java.lang.Number getMinRegularValue(int row,
                                               int column)

  Returns the minimum regular (non outlier) value for an item.

  Specified by:
    `getMinRegularValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The minimum regular value.
  See Also:
    `getItem(int, int)`

### getMinRegularValue

    public java.lang.Number getMinRegularValue(java.lang.Comparable rowKey,
                                               java.lang.Comparable columnKey)

  Returns the minimum regular (non outlier) value for an item.

  Specified by:
    `getMinRegularValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The minimum regular value.
  See Also:
    `getItem(int, int)`

### getMaxRegularValue

    public java.lang.Number getMaxRegularValue(int row,
                                               int column)

  Returns the maximum regular (non outlier) value for an item.

  Specified by:
    `getMaxRegularValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The maximum regular value.
  See Also:
    `getItem(int, int)`

### getMaxRegularValue

    public java.lang.Number getMaxRegularValue(java.lang.Comparable rowKey,
                                               java.lang.Comparable columnKey)

  Returns the maximum regular (non outlier) value for an item.

  Specified by:
    `getMaxRegularValue` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The maximum regular value.
  See Also:
    `getItem(int, int)`

### getMinOutlier

    public java.lang.Number getMinOutlier(int row,
                                          int column)

  Returns the minimum outlier (non farout) value for an item.

  Specified by:
    `getMinOutlier` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The minimum outlier.
  See Also:
    `getItem(int, int)`

### getMinOutlier

    public java.lang.Number getMinOutlier(java.lang.Comparable rowKey,
                                          java.lang.Comparable columnKey)

  Returns the minimum outlier (non farout) value for an item.

  Specified by:
    `getMinOutlier` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The minimum outlier.
  See Also:
    `getItem(int, int)`

### getMaxOutlier

    public java.lang.Number getMaxOutlier(int row,
                                          int column)

  Returns the maximum outlier (non farout) value for an item.

  Specified by:
    `getMaxOutlier` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The maximum outlier.
  See Also:
    `getItem(int, int)`

### getMaxOutlier

    public java.lang.Number getMaxOutlier(java.lang.Comparable rowKey,
                                          java.lang.Comparable columnKey)

  Returns the maximum outlier (non farout) value for an item.

  Specified by:
    `getMaxOutlier` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    The maximum outlier.
  See Also:
    `getItem(int, int)`

### getOutliers

    public java.util.List getOutliers(int row,
                                      int column)

  Returns a list of outlier values for an item.

  Specified by:
    `getOutliers` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    A list of outlier values.
  See Also:
    `getItem(int, int)`

### getOutliers

    public java.util.List getOutliers(java.lang.Comparable rowKey,
                                      java.lang.Comparable columnKey)

  Returns a list of outlier values for an item.

  Specified by:
    `getOutliers` in interface `BoxAndWhiskerCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    A list of outlier values.
  See Also:
    `getItem(int, int)`

### equals

    public boolean equals(java.lang.Object obj)

  Tests this dataset for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test against (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this dataset.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `AbstractDataset`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if cloning is not possible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.